service: configSchemaExtensions

disabledDeprecations:
  - SOME_DEP_ERROR

provider:
  name: someProvider

plugins:
  - ./test-plugin

configValidationMode: error
frameworkVersion: '*'

custom:
  someCustomStringProp: can-be-string

functions:
  someFunction:
    events:
      - someEvent:
          someRequiredStringProp: some string
          someNumberProp: 123
